diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 83a55413..a57b2ca3 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -881,33 +938,33 @@ define(
             pItem, {
               label: (
                 _.escape(pData._label) + ' <span>(' + pData.collection_count + ')</span>'
-              )
+              ),
             }
           );
         }
 
-        setTimeout(function() { self.clear_cache.apply(self, item); }, 0);
+        setTimeout(function() {
+          self.clear_cache.apply(self, item);
+        }, 0);
       },
       unloaded: function(item) {
         var self = this,
-            t = pgBrowser.tree,
-            data = item && t.itemData(item);
+          t = pgBrowser.tree,
+          data = item && t.itemData(item);
 
         // In case of unload remove the collection counter
-        if (self.is_collection && 'collection_count' in data)
-        {
+        if (self.is_collection && 'collection_count' in data) {
           delete data.collection_count;
-          t.setLabel(item, {label: _.escape(data._label)});
+          t.setLabel(item, {
+            label: _.escape(data._label),
+          });
         }
       },
-      refresh: function(cmd, i) {
-        var self = this,
-            t = pgBrowser.tree,
-            item = i || t.selected(),
-            d = t.itemData(item);
-
-        pgBrowser.Events.trigger('pgadmin:browser:tree:refresh', item);
-      }
+      refresh: function(cmd, _item) {
+        pgBrowser.Events.trigger(
+          'pgadmin:browser:tree:refresh', _item || pgBrowser.tree.selected()
+        );
+      },
     },
     /**********************************************************************
      * A hook (not a callback) to show object properties in given HTML
@@ -922,61 +979,59 @@ define(
         j = panel.$container.find('.obj_properties').first(),
         view = j.data('obj-view'),
         content = $('<div tabindex="1"></div>')
-          .addClass('pg-prop-content col-xs-12');
-
-        // Handle key press events for Cancel, save and help button
-        var handleKeyDown = function(event, context) {
-          // If called on panel other than node_props, return
-          if (panel && panel['_type'] !== 'node_props') return;
-
-          switch (event.which) {
-            case keyCode.ESCAPE:
-              closePanel();
-              break;
-            case keyCode.ENTER:
-              // Return if event is fired from child element
-              if (event.target !== context) return;
-              if (view && view.model && view.model.sessChanged()) {
-                var btn = $(event.target).closest('.obj_properties')
-                                         .find('.pg-prop-btn-group')
-                                         .find('button.btn-primary');
-                onSave.call(this, view, btn);
-              }
-              break;
-            case keyCode.F1:
-              onDialogHelp();
-              break;
-            default:
-                break;
-          }
-        }.bind(panel);
+        .addClass('pg-prop-content col-xs-12');
 
-        setTimeout(function() {
-          // Register key press events with panel element
-          panel.$container.find('.backform-tab').on("keydown", function(event) {
-              handleKeyDown(event, this);
-          });
-        }, 200); // wait for panel tab to render
-
-        // Template function to create the status bar
-        var createStatusBar = function(location){
-            var statusBar = $('<div></div>').addClass(
-                      'pg-prop-status-bar'
-                      ).appendTo(j);
-            statusBar.css("visibility", "hidden");
-            if (location == "header") {
-                statusBar.appendTo(that.header);
-            } else {
-                statusBar.prependTo(that.footer);
-            }
-            that.statusBar = statusBar;
-            return statusBar;
+      // Handle key press events for Cancel, save and help button
+      var handleKeyDown = function(event, context) {
+        // If called on panel other than node_props, return
+        if (panel && panel['_type'] !== 'node_props') return;
+
+        switch (event.which) {
+        case keyCode.ESCAPE:
+          closePanel();
+          break;
+        case keyCode.ENTER:
+            // Return if event is fired from child element
+          if (event.target !== context) return;
+          if (view && view.model && view.model.sessChanged()) {
+            var btn = $(event.target).closest('.obj_properties')
+                .find('.pg-prop-btn-group')
+                .find('button.btn-primary');
+            onSave.call(this, view, btn);
+          }
+          break;
+        case keyCode.F1:
+          onDialogHelp();
+          break;
+        default:
+          break;
+        }
+      }.bind(panel);
+
+      setTimeout(function() {
+        // Register key press events with panel element
+        panel.$container.find('.backform-tab').on('keydown', function(event) {
+          handleKeyDown(event, this);
+        });
+      }, 200); // wait for panel tab to render
+
+      // Template function to create the status bar
+      var createStatusBar = function(location) {
+          var statusBar = $('<div></div>').addClass(
+            'pg-prop-status-bar'
+          ).appendTo(j);
+          statusBar.css('visibility', 'hidden');
+          if (location == 'header') {
+            statusBar.appendTo(that.header);
+          } else {
+            statusBar.prependTo(that.footer);
+          }
+          that.statusBar = statusBar;
+          return statusBar;
         }.bind(panel),
         // Template function to create the button-group
         createButtons = function(buttons, location, extraClasses) {
-          var panel = this;
-
-          // arguments must be non-zero length array of type
+          // Arguments must be non-zero length array of type
           // object, which contains following attributes:
           // label, type, extraClasses, register
           if (buttons && _.isArray(buttons) && buttons.length > 0) {
@@ -984,19 +1039,19 @@ define(
             // div area.
             var btnGroup =
               $('<div></div>').addClass(
-                  'pg-prop-btn-group'
-                  ),
+                'pg-prop-btn-group'
+              ),
               // Template used for creating a button
               tmpl = _.template([
                 '<button type="<%= type %>" ',
                 'class="btn <%=extraClasses.join(\' \')%>"',
                 '<% if (disabled) { %> disabled="disabled"<% } %> title="<%-tooltip%>">',
-                '<span class="<%= icon %>"></span><% if (label != "") { %>&nbsp;<%-label%><% } %></button>'
-                ].join(' '));
-            if (location == "header"){
-                btnGroup.appendTo(that.header);
-            }else{
-                btnGroup.appendTo(that.footer);
+                '<span class="<%= icon %>"></span><% if (label != "") { %>&nbsp;<%-label%><% } %></button>',
+              ].join(' '));
+            if (location == 'header') {
+              btnGroup.appendTo(that.header);
+            } else {
+              btnGroup.appendTo(that.footer);
             }
             if (extraClasses) {
               btnGroup.addClass(extraClasses);
@@ -1007,7 +1062,7 @@ define(
 
               // icon may not present for this button
               if (!btn.icon) {
-                btn.icon = "";
+                btn.icon = '';
               }
               var b = $(tmpl(btn));
               btnGroup.append(b);
@@ -1024,12 +1079,10 @@ define(
 
           // Avoid unnecessary reloads
           var panel = this,
-              i = tree.selected(),
-              d = i && tree.itemData(i),
-              n_type = d._type,
-              n_value = -1,
-              n = i && d && pgBrowser.Nodes[d._type],
-              treeHierarchy = n.getTreeNodeHierarchy(i);
+            i = tree.selected(),
+            d = i && tree.itemData(i),
+            n = i && d && pgBrowser.Nodes[d._type],
+            treeHierarchy = n.getTreeNodeHierarchy(i);
 
           if (_.isEqual($(panel).data('node-prop'), treeHierarchy)) {
             return;
@@ -1045,7 +1098,11 @@ define(
           // creating new view.
           if (view) {
             // Release the view
-            view.remove({data: true, internal: true, silent: true});
+            view.remove({
+              data: true,
+              internal: true,
+              silent: true,
+            });
             // Deallocate the view
             // delete view;
             view = null;
@@ -1055,11 +1112,11 @@ define(
           // Make sure the HTML element is empty.
           j.empty();
           that.header = $('<div></div>').addClass(
-                      'pg-prop-header'
-                      ).appendTo(j);
+            'pg-prop-header'
+          ).appendTo(j);
           that.footer = $('<div></div>').addClass(
-                      'pg-prop-footer'
-                      ).appendTo(j);
+            'pg-prop-footer'
+          ).appendTo(j);
           // Create a view to show the properties in fieldsets
           view = that.getView(item, 'properties', content, data, 'fieldset', undefined, j);
           if (view) {
@@ -1071,7 +1128,8 @@ define(
             var buttons = [];
 
             buttons.push({
-              label: '', type: 'edit',
+              label: '',
+              type: 'edit',
               tooltip: gettext('Edit'),
               extraClasses: ['btn-default'],
               icon: 'fa fa-lg fa-pencil-square-o',
@@ -1080,11 +1138,12 @@ define(
                 btn.click(function() {
                   onEdit();
                 });
-              }
+              },
             });
 
             buttons.push({
-              label: '', type: 'help',
+              label: '',
+              type: 'help',
               tooltip: gettext('SQL help for this object type.'),
               extraClasses: ['btn-default', 'pull-right'],
               icon: 'fa fa-lg fa-info',
@@ -1093,7 +1152,7 @@ define(
                 btn.click(function() {
                   onSqlHelp();
                 });
-              }
+              },
             });
 
             createButtons(buttons, 'header', 'pg-prop-btn-group-above bg-gray-2 border-gray-3');
@@ -1101,7 +1160,6 @@ define(
           j.append(content);
         }.bind(panel),
         onSqlHelp = function() {
-          var panel = this;
           // See if we can find an existing panel, if not, create one
           var pnlSqlHelp = pgBrowser.docker.findPanels('pnl_sql_help')[0];
 
@@ -1124,17 +1182,17 @@ define(
 
           url = url.replace('$VERSION$', major + '.' + minor);
           if (!S(url).endsWith('/')) {
-            url = url + '/'
+            url = url + '/';
           }
           if (that.sqlCreateHelp == '' && that.sqlAlterHelp != '') {
-              url = url + that.sqlAlterHelp
+            url = url + that.sqlAlterHelp;
           } else if (that.sqlCreateHelp != '' && that.sqlAlterHelp == '') {
-              url = url + that.sqlCreateHelp
+            url = url + that.sqlCreateHelp;
           } else {
             if (view.model.isNew()) {
-              url = url + that.sqlCreateHelp
+              url = url + that.sqlCreateHelp;
             } else {
-              url = url + that.sqlAlterHelp
+              url = url + that.sqlAlterHelp;
             }
           }
 
@@ -1147,7 +1205,6 @@ define(
         }.bind(panel),
 
         onDialogHelp = function() {
-          var panel = this;
           // See if we can find an existing panel, if not, create one
           var pnlDialogHelp = pgBrowser.docker.findPanels('pnl_online_help')[0];
 
@@ -1168,13 +1225,12 @@ define(
           var m = view.model,
             d = m.toJSON(true),
             // Generate a timer for the request
-            timer = setTimeout(function(){
+            timer = setTimeout(function() {
               $('.obj_properties').addClass('show_progress');
-            }, 1000),
-            saveBtn = saveBtn;
+            }, 1000);
 
           // Prevent subsequent save operation by disabling Save button
-          if(saveBtn)
+          if (saveBtn)
             $(saveBtn).prop('disabled', true);
 
           if (d && !_.isEmpty(d)) {
@@ -1197,29 +1253,29 @@ define(
                   pnlDependencies = pgBrowser.docker.findPanels('dependencies')[0],
                   pnlDependents = pgBrowser.docker.findPanels('dependents')[0];
 
-                if(pnlProperties)
-                    $(pnlProperties).removeData('node-prop');
-                if(pnlSql)
-                    $(pnlSql).removeData('node-prop');
-                if(pnlStats)
-                    $(pnlStats).removeData('node-prop');
-                if(pnlDependencies)
-                    $(pnlDependencies).removeData('node-prop');
-                if(pnlDependents)
-                    $(pnlDependents).removeData('node-prop');
+                if (pnlProperties)
+                  $(pnlProperties).removeData('node-prop');
+                if (pnlSql)
+                  $(pnlSql).removeData('node-prop');
+                if (pnlStats)
+                  $(pnlStats).removeData('node-prop');
+                if (pnlDependencies)
+                  $(pnlDependencies).removeData('node-prop');
+                if (pnlDependents)
+                  $(pnlDependents).removeData('node-prop');
               },
               error: function(m, jqxhr) {
                 Alertify.pgNotifier(
-                  "error", jqxhr,
-                  gettext("Error saving properties")
+                  'error', jqxhr,
+                  gettext('Error saving properties')
                 );
 
                 // Hide progress cursor
                 $('.obj_properties').removeClass('show_progress');
                 clearTimeout(timer);
-                if(saveBtn)
+                if (saveBtn)
                   $(saveBtn).prop('disabled', false);
-              }
+              },
             });
           }
         }.bind(panel),
@@ -1234,7 +1290,11 @@ define(
           // creating the new view.
           if (view) {
             // Release the view
-            view.remove({data: true, internal: true, silent: true});
+            view.remove({
+              data: true,
+              internal: true,
+              silent: true,
+            });
             // Deallocate the view
             view = null;
             // Reset the data object
@@ -1244,17 +1304,17 @@ define(
           j.empty();
 
           that.header = $('<div></div>').addClass(
-                      'pg-prop-header'
-                      ).appendTo(j)
+            'pg-prop-header'
+          ).appendTo(j);
           that.footer = $('<div></div>').addClass(
-                      'pg-prop-footer'
-                      ).appendTo(j);
+            'pg-prop-footer'
+          ).appendTo(j);
 
           var updateButtons = function(hasError, modified) {
 
             var btnGroup = this.find('.pg-prop-btn-group'),
-                btnSave = btnGroup.find('button.btn-primary'),
-                btnReset = btnGroup.find('button.btn-warning');
+              btnSave = btnGroup.find('button.btn-primary'),
+              btnReset = btnGroup.find('button.btn-warning');
 
             if (hasError || !modified) {
               btnSave.prop('disabled', true);
@@ -1280,14 +1340,15 @@ define(
             j.data('obj-view', view);
 
             panel.icon(
-                _.isFunction(that['node_image']) ?
-                  (that['node_image']).apply(that, [data, view.model]) :
-                  (that['node_image'] || ('icon-' + that.type))
-                );
+              _.isFunction(that['node_image']) ?
+              (that['node_image']).apply(that, [data, view.model]) :
+              (that['node_image'] || ('icon-' + that.type))
+            );
 
             // Create proper buttons
             createButtons([{
-              label: '', type: 'help',
+              label: '',
+              type: 'help',
               tooltip: gettext('SQL help for this object type.'),
               extraClasses: ['btn-default', 'pull-left'],
               icon: 'fa fa-lg fa-info',
@@ -1296,9 +1357,10 @@ define(
                 btn.click(function() {
                   onSqlHelp();
                 });
-              }
-            },{
-              label: '', type: 'help',
+              },
+            }, {
+              label: '',
+              type: 'help',
               tooltip: gettext('Help for this dialog.'),
               extraClasses: ['btn-default', 'pull-left'],
               icon: 'fa fa-lg fa-question',
@@ -1307,9 +1369,10 @@ define(
                 btn.click(function() {
                   onDialogHelp();
                 });
-              }
-            },{
-              label: gettext('Save'), type: 'save',
+              },
+            }, {
+              label: gettext('Save'),
+              type: 'save',
               tooltip: gettext('Save this object.'),
               extraClasses: ['btn-primary'],
               icon: 'fa fa-lg fa-save',
@@ -1319,9 +1382,10 @@ define(
                 btn.click(function() {
                   onSave.call(this, view, btn);
                 });
-              }
-            },{
-              label: gettext('Cancel'), type: 'cancel',
+              },
+            }, {
+              label: gettext('Cancel'),
+              type: 'cancel',
               tooltip: gettext('Cancel changes to this object.'),
               extraClasses: ['btn-danger'],
               icon: 'fa fa-lg fa-close',
@@ -1332,20 +1396,23 @@ define(
                   panel.$container.removeAttr('action-mode');
                   onCancelFunc.call(arguments);
                 });
-              }
-            },{
-              label: gettext('Reset'), type: 'reset',
+              },
+            }, {
+              label: gettext('Reset'),
+              type: 'reset',
               tooltip: gettext('Reset the fields on this dialog.'),
               extraClasses: ['btn-warning'],
               icon: 'fa fa-lg fa-recycle',
               disabled: true,
               register: function(btn) {
                 btn.click(function() {
-                  setTimeout(function() { editFunc.call(); }, 0);
+                  setTimeout(function() {
+                    editFunc.call();
+                  }, 0);
                 });
-              }
-            }],'footer' ,'pg-prop-btn-group-below bg-gray-2 border-gray-3');
-          };
+              },
+            }], 'footer', 'pg-prop-btn-group-below bg-gray-2 border-gray-3');
+          }
 
           // Create status bar.
           createStatusBar('footer');
@@ -1363,11 +1430,13 @@ define(
         }.bind(panel),
         updateTreeItem = function(that) {
           var _old = data,
-              _new = _.clone(view.model.tnode),
-              info = _.clone(view.model.node_info);
+            _new = _.clone(view.model.tnode),
+            info = _.clone(view.model.node_info);
 
           // Clear the cache for this node now.
-          setTimeout(function() { that.clear_cache.apply(that, item); }, 0);
+          setTimeout(function() {
+            that.clear_cache.apply(that, item);
+          }, 0);
 
           pgBrowser.Events.trigger(
             'pgadmin:browser:tree:update',
@@ -1381,25 +1450,27 @@ define(
                   'pgadmin:browser:node:' + _newNodeData._type + ':updated',
                   _item, _newNodeData, _oldNodeData
                 );
-              }
+              },
             }
           );
           closePanel();
         },
         saveNewNode = function(that) {
           var panel = this,
-              j = panel.$container.find('.obj_properties').first(),
-              view = j.data('obj-view');
+            j = panel.$container.find('.obj_properties').first(),
+            view = j.data('obj-view');
 
           // Clear the cache for this node now.
-          setTimeout(function() { that.clear_cache.apply(that, item); }, 0);
+          setTimeout(function() {
+            that.clear_cache.apply(that, item);
+          }, 0);
           try {
             pgBrowser.Events.trigger(
               'pgadmin:browser:tree:add', _.clone(view.model.tnode),
               _.clone(view.model.node_info)
             );
           } catch (e) {
-            console.log(e);
+            console.warn(e.stack || e);
           }
           closePanel();
         }.bind(panel, that),
@@ -1408,7 +1479,7 @@ define(
           setTimeout(function() {
             that.callbacks.show_obj_properties.apply(that, [{
               'action': 'edit',
-              'item': item
+              'item': item,
             }]);
           }, 0);
         },
@@ -1417,7 +1488,7 @@ define(
         onEdit = editFunc.bind(panel);
 
       if (action) {
-        if (action == 'create'){
+        if (action == 'create') {
           onCancelFunc = closePanel;
           onSaveFunc = saveNewNode;
         }
@@ -1435,10 +1506,14 @@ define(
       if (panel.closeable()) {
         var onCloseFunc = function() {
           var j = this.$container.find('.obj_properties').first(),
-              view = j && j.data('obj-view');
+            view = j && j.data('obj-view');
 
           if (view) {
-            view.remove({data: true, internal: true, silent: true});
+            view.remove({
+              data: true,
+              internal: true,
+              silent: true,
+            });
           }
         }.bind(panel);
         panel.on(wcDocker.EVENT.CLOSED, onCloseFunc);
@@ -1452,7 +1527,7 @@ define(
           if (this.parent_type == d._type) {
             return i;
           }
-          while(t.hasParent(i)) {
+          while (t.hasParent(i)) {
             i = t.parent(i);
             d = t.itemData(i);
 
@@ -1463,7 +1538,7 @@ define(
           if (_.indexOf(this.parent_type, d._type) >= 0) {
             return i;
           }
-          while(t.hasParent(i)) {
+          while (t.hasParent(i)) {
             i = t.parent(i);
             d = t.itemData(i);
 
@@ -1488,9 +1563,13 @@ define(
     generate_url: function(item, type, d, with_id, info) {
 
       var opURL = {
-          'create': 'obj', 'drop': 'obj', 'edit': 'obj',
-          'properties': 'obj', 'statistics': 'stats'
-        }, self = this,
+          'create': 'obj',
+          'drop': 'obj',
+          'edit': 'obj',
+          'properties': 'obj',
+          'statistics': 'stats',
+        },
+        self = this,
         priority = -Infinity;
 
       var treeInfo = (_.isUndefined(item) || _.isNull(item)) ?
@@ -1515,7 +1594,7 @@ define(
           });
         }
       }
-      var nodePickFunction = function (treeInfoValue) {
+      var nodePickFunction = function(treeInfoValue) {
         return (treeInfoValue.priority <= priority);
       };
       return generateUrl.generate_url(pgBrowser.URL, treeInfo, actionType, self.type, nodePickFunction, itemID);
@@ -1526,14 +1605,14 @@ define(
     Model: pgBrowser.DataModel,
     getTreeNodeHierarchy: function(i) {
       var idx = 0,
-          res = {},
-          t = pgBrowser.tree,
-          d;
+        res = {},
+        t = pgBrowser.tree,
+        d;
       do {
         d = t.itemData(i);
         if (d._type in pgBrowser.Nodes && pgBrowser.Nodes[d._type].hasId) {
           res[d._type] = _.extend({}, d, {
-            'priority': idx
+            'priority': idx,
           });
           idx -= 1;
         }
@@ -1544,38 +1623,39 @@ define(
     },
     cache: function(url, node_info, level, data) {
       var cached = this.cached = this.cached || {},
-          hash = url,
-          min_priority = (
-              node_info && node_info[level] && node_info[level].priority
-              ) || 0;
+        hash = url,
+        min_priority = (
+          node_info && node_info[level] && node_info[level].priority
+        ) || 0;
 
       if (node_info) {
-        _.each(
-            _.sortBy(
-              _.values(
-                _.pick(
-                  node_info,
-                  function(v, k, o) {
-                    return (v.priority <= min_priority);
-                  })),
-              function(o) { return o.priority; }),
-            function(o) {
-              hash = S('%s/%s').sprintf(hash, encodeURI(o._id)).value();
-            });
+        _.each(_.sortBy(_.values(_.pick(
+          node_info,
+          function(v) {
+            return (v.priority <= min_priority);
+          }
+        )), function(o) {
+          return o.priority;
+        }), function(o) {
+          hash = S('%s/%s').sprintf(hash, encodeURI(o._id)).value();
+        });
       }
 
       if (_.isUndefined(data)) {
         var res = cached[hash];
 
         if (!_.isUndefined(res) &&
-            (res.at - Date.now() > 300000)) {
+          (res.at - Date.now() > 300000)) {
           res = undefined;
         }
         return res;
       }
 
-      res = cached[hash] = {data: data, at: Date.now(), level: level};
-
+      res = cached[hash] = {
+        data: data,
+        at: Date.now(),
+        level: level,
+      };
       return res;
     },
     clear_cache: function(item) {
@@ -1611,7 +1691,7 @@ define(
         }
         return this.parent_type;
       }
-    }
+    },
   });
 
   return pgAdmin.Browser.Node;
